Subject: Re: [PATCH series v2] IEEE 802.15.4 MAC layer basic implementation

From: Nicolas de Pesloüan<[email-masked]>
Date: Mon, 26 Dec 2011 18:57:12 +0100

Le 26/12/2011 17:01, Alexander Smirnov a écrit :
> Dear David, colleagues,
>
> I'm very sorry for the flood with my previous messages, problems with
> mail client :-(
>
> This is the second version of patch series which adds basic support for
> IEEE 802.15.4 Medium Access Control layer.
>
> The IEEE 802.15.4 Working Group focuses on the standardization of the
> bottom two layers of ISO/OSI protocol stack: Physical (PHY) and MAC.
> The MAC layer provides access control to a shared channel and reliable
> data delivery.
>
> This series provide only basic features:
>   - interface for drivers registration
>   - RX/TX datapaths
>   - reduced mlme operations
>   - monitor device type support (used by network sniffers, e.g. Wireshark)
>   - IEEE 802.15.4 loopback driver
>   - documentation update

Is the word "slave" used by IEEE 802.15.4 or by the kernel part you expand?

I remember a few years ago someone advocating against the usage of the word "slave", due to its 
meaning outside of IT. I know it is used many time in the kernel (in particular in bonding), but if 
people advocate against this usage, we should use "port" instead, if and when possible.

(Yes, I know, I just posted a patch to document the active_slave option for bonding... :-/ ).

	Nicolas.